<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xs:schema version="1.0" targetNamespace="http://tfs.med.DNS   /" xmlns:tns="http://tfs.med.DNS   /" xmlns:xs="http://www.w3.org/2001/XMLSchema">

  <xs:element name="createFilterMetaData" type="tns:createFilterMetaData"/>

  <xs:element name="createFilterMetaDataResponse" type="tns:createFilterMetaDataResponse"/>

  <xs:element name="createTemplateMetaData" type="tns:createTemplateMetaData"/>

  <xs:element name="createTemplateMetaDataResponse" type="tns:createTemplateMetaDataResponse"/>

  <xs:element name="deleteFilterMetaData" type="tns:deleteFilterMetaData"/>

  <xs:element name="deleteFilterMetaDataResponse" type="tns:deleteFilterMetaDataResponse"/>

  <xs:element name="deleteTemplateMetaData" type="tns:deleteTemplateMetaData"/>

  <xs:element name="deleteTemplateMetaDataResponse" type="tns:deleteTemplateMetaDataResponse"/>

  <xs:element name="getActiveFilterIds" type="tns:getActiveFilterIds"/>

  <xs:element name="getActiveFilterIdsResponse" type="tns:getActiveFilterIdsResponse"/>

  <xs:element name="getActiveTemplateIds" type="tns:getActiveTemplateIds"/>

  <xs:element name="getActiveTemplateIdsResponse" type="tns:getActiveTemplateIdsResponse"/>

  <xs:element name="getFilterMetaData" type="tns:getFilterMetaData"/>

  <xs:element name="getFilterMetaDataResponse" type="tns:getFilterMetaDataResponse"/>

  <xs:element name="getTemplateMetaData" type="tns:getTemplateMetaData"/>

  <xs:element name="getTemplateMetaDataResponse" type="tns:getTemplateMetaDataResponse"/>

  <xs:element name="getVhimVersions" type="tns:getVhimVersions"/>

  <xs:element name="getVhimVersionsResponse" type="tns:getVhimVersionsResponse"/>

  <xs:element name="isAlive" type="tns:isAlive"/>

  <xs:element name="isAliveResponse" type="tns:isAliveResponse"/>

  <xs:complexType name="isAlive">
    <xs:sequence/>
  </xs:complexType>

  <xs:complexType name="isAliveResponse">
    <xs:sequence>
      <xs:element name="return" type="xs:boolean"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="createTemplateMetaData">
    <xs:sequence>
      <xs:element name="templateMetaData" type="tns:templateMetaData" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="templateMetaData">
    <xs:sequence>
      <xs:element name="dateActivated" type="xs:dateTime" minOccurs="0"/>
      <xs:element name="dateAdded" type="xs:dateTime" minOccurs="0"/>
      <xs:element name="dateDeactivated" type="xs:dateTime" minOccurs="0"/>
      <xs:element name="dateDeprecated" type="xs:dateTime" minOccurs="0"/>
      <xs:element name="dateUpdated" type="xs:dateTime" minOccurs="0"/>
      <xs:element name="domainEntryPoints" type="tns:domainEntryPoint" nillable="true" minOccurs="0" maxOccurs="100"/>
      <xs:element name="operation" type="xs:string" minOccurs="0"/>
      <xs:element name="readCdsVdms" type="xs:string" nillable="true" minOccurs="0" maxOccurs="100"/>
      <xs:element name="status" type="xs:string" minOccurs="0"/>
      <xs:element name="templateDescription" type="xs:string" minOccurs="0"/>
      <xs:element name="templateId" type="xs:string" minOccurs="0"/>
      <xs:element name="templateJar" type="xs:base64Binary" minOccurs="0"/>
      <xs:element name="templateName" type="xs:string" minOccurs="0"/>
      <xs:element name="testOnly" type="xs:boolean"/>
      <xs:element name="vhimVersionWrappers" type="tns:vhimVersionWrapper" nillable="true" minOccurs="0" maxOccurs="100"/>
      <xs:element name="vhimVersions" type="xs:string" nillable="true" minOccurs="0" maxOccurs="100"/>
      <xs:element name="writeCdsVdm" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="domainEntryPoint">
    <xs:sequence>
      <xs:element name="domain" type="xs:string" minOccurs="0"/>
      <xs:element name="name" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="vhimVersionWrapper">
    <xs:sequence>
      <xs:element name="version" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="createTemplateMetaDataResponse">
    <xs:sequence>
      <xs:element name="return" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="createFilterMetaData">
    <xs:sequence>
      <xs:element name="filterMetaData" type="tns:filterMetaData" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="filterMetaData">
    <xs:sequence>
      <xs:element name="containsCorrelation" type="xs:boolean"/>
      <xs:element name="dateActivated" type="xs:dateTime" minOccurs="0"/>
      <xs:element name="dateAdded" type="xs:dateTime" minOccurs="0"/>
      <xs:element name="dateDeactivated" type="xs:dateTime" minOccurs="0"/>
      <xs:element name="dateDeprecated" type="xs:dateTime" minOccurs="0"/>
      <xs:element name="dateUpdated" type="xs:dateTime" minOccurs="0"/>
      <xs:element name="entryFilters" type="tns:entryFilter" nillable="true" minOccurs="0" maxOccurs="100"/>
      <xs:element name="filterDescription" type="xs:string" minOccurs="0"/>
      <xs:element name="filterId" type="xs:string" minOccurs="0"/>
      <xs:element name="filterSchemaXml" type="xs:string" minOccurs="0"/>
      <xs:element name="filterString" type="xs:string" minOccurs="0"/>
      <xs:element name="status" type="xs:string" minOccurs="0"/>
      <xs:element name="vhimVersionWrappers" type="tns:vhimVersionWrapper" nillable="true" minOccurs="0" maxOccurs="100"/>
      <xs:element name="vhimVersions" type="xs:string" nillable="true" minOccurs="0" maxOccurs="100"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="entryFilter">
    <xs:sequence>
      <xs:element name="domainEntryPoint" type="tns:domainEntryPoint" minOccurs="0"/>
      <xs:element name="xpath" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="createFilterMetaDataResponse">
    <xs:sequence>
      <xs:element name="return" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="getVhimVersions">
    <xs:sequence/>
  </xs:complexType>

  <xs:complexType name="getVhimVersionsResponse">
    <xs:sequence>
      <xs:element name="return" type="xs:string" minOccurs="0" maxOccurs="100"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="getFilterMetaData">
    <xs:sequence>
      <xs:element name="filterId" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="getFilterMetaDataResponse">
    <xs:sequence>
      <xs:element name="return" type="tns:filterMetaData" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="getActiveTemplateIds">
    <xs:sequence>
      <xs:element name="vhimVersion" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="getActiveTemplateIdsResponse">
    <xs:sequence>
      <xs:element name="return" type="xs:string" minOccurs="0" maxOccurs="1000"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="deleteFilterMetaData">
    <xs:sequence>
      <xs:element name="filterId" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="deleteFilterMetaDataResponse">
    <xs:sequence>
      <xs:element name="return" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="getActiveFilterIds">
    <xs:sequence>
      <xs:element name="vhimVersion" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="getActiveFilterIdsResponse">
    <xs:sequence>
      <xs:element name="return" type="xs:string" minOccurs="0" maxOccurs="1000"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="deleteTemplateMetaData">
    <xs:sequence>
      <xs:element name="templateId" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="deleteTemplateMetaDataResponse">
    <xs:sequence>
      <xs:element name="return" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="getTemplateMetaData">
    <xs:sequence>
      <xs:element name="templateId" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="getTemplateMetaDataResponse">
    <xs:sequence>
      <xs:element name="return" type="tns:templateMetaData" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>
</xs:schema>

